package com.zipcoder.payment;

public class Check implements Payment {

    Long id;
    String payerName;
    String routingNumber;
    String accountNumber;


    public Check(Long id, String payerName, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    public Check() {
        id = 0L;
        payerName = "";
        routingNumber = "";
        accountNumber = "";

    }


    public void setId(Long id) {
        this.id = id;
    }

    //on Payment interface
    public Long getId() {
        return id;
    }


    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    //on Payment interface
    public String getPayerName() {
        return payerName;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }


    public String getRoutingNumber() {
        return routingNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }


    public String getAccountNumber() {
        return accountNumber;
    }


    //on Payment interface
    public String getShortDescription() {
        return  "Check " + payerName +" ***"+accountNumber.substring(accountNumber.length()-4);
    }


    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());
    }

}